%define major 1
%define libselinux %mklibname selinux %{major}
%define devselinux %mklibname selinux -d

%define libsepol %mklibname sepol %{major}
%define devsepol %mklibname sepol -d

%define libsemanage %mklibname semanage %{major}
%define devsemanage %mklibname semanage -d

# Distro-specific default value is defined in branding-configs package
%{?build_ruby}%{?!build_ruby:%bcond_with ruby}

%bcond_with bootstrap

%bcond_without semanage

Summary:	Security-enhanced Linux general support subsystem
Name:		selinux
Version:	2.3
Release:	31
Epoch:		1
License:	GPLv2+
Group:		System/Base
Url:		http://selinuxproject.org/
Source0:	%{name}-%{version}.tar.gz
Source1: 	semanage.conf
Patch0:		libselinux-rhat.patch
Patch1:		libsemanage-rhat.patch
Patch2:		policycoreutils-rhat.patch
Patch3:		sepolgen-rhat.patch
Patch4:		selinux-2.3-newrole-preserve-locale.patch
Patch5:		selinux-2.3-newrole-enable-lspp.patch
Patch6:		selinux-2.3-setfiles-dont-count-rootfs.patch
BuildRequires:	flex
BuildRequires:	swig
BuildRequires:	sepol-devel
BuildRequires:	pkgconfig(libpcre)
BuildRequires:	pkgconfig(python)
%if %{without bootstrap}
BuildRequires:	setools-devel
BuildRequires:	pkgconfig(libsemanage)
%endif
%if %{with semanage}
BuildRequires:	bison
BuildRequires:	xmlto
BuildRequires:	audit-devel
BuildRequires:	bzip2-devel
BuildRequires:	pam-devel
BuildRequires:	selinux-devel
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(libcap-ng)
BuildRequires:	pkgconfig(libcgroup)
BuildRequires:	pkgconfig(ustr)
%endif
%if %{with ruby}
BuildRequires:	ruby
BuildRequires:	ruby-devel
%endif

%description
Security-enhanced Linux is a feature of the Linux® kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement®, Role-based Access
Control, and Multi-level Security.

#----------------------------------------------------------------------------

%package -n %{libselinux}
Summary:	SELinux library and simple utilities
Group:		System/Libraries
Provides:	libselinux = %{EVRD}
Provides:	selinux = %{EVRD}

%description -n %{libselinux}
SELinux library and simple utilities

%files -n %{libselinux}
/%{_lib}/libselinux.so.%{major}*
%ghost /var/run/setrans
/etc/tmpfiles.d/libselinux.conf

#----------------------------------------------------------------------------

%package utils
Summary:	SELinux libselinux utilies
Group:		System/Base
Requires:	%{libselinux} = %{EVRD} 
Provides:	libselinux-utils = %{EVRD}

%description utils
The selinux-utils package contains the utilities

%files utils
%{_sbindir}/avcstat
%{_sbindir}/getenforce
%{_sbindir}/getsebool
%{_sbindir}/matchpathcon
%{_sbindir}/selinuxconlist
%{_sbindir}/selinuxdefcon
%{_sbindir}/selinuxexeccon
%{_sbindir}/selinuxenabled
%{_sbindir}/setenforce
%{_sbindir}/togglesebool
%{_sbindir}/sefcontext_compile
%{_mandir}/man5/booleans*
%{_mandir}/man5/customizable_types*
%{_mandir}/man5/default*
%{_mandir}/man5/failsafe_context*
%{_mandir}/man5/file_contexts*
%{_mandir}/man5/local.users.*
%{_mandir}/man5/media.*
%{_mandir}/man5/removable_context.*
%{_mandir}/man5/secolor.conf.*
%{_mandir}/man5/securetty_types.*
%{_mandir}/man5/selabel*
%{_mandir}/man5/sepgsql_contexts.*
%{_mandir}/man5/service_seusers.*
%{_mandir}/man5/seusers.*
%{_mandir}/man5/user_contexts.*
%{_mandir}/man5/virtual*
%{_mandir}/man5/x_contexts.*
%{_mandir}/man8/avcstat.*
%{_mandir}/man8/booleans.*
%{_mandir}/man8/chkcon.*
%{_mandir}/man8/genpol*
%{_mandir}/man8/getenforce.*
%{_mandir}/man8/getsebool.*
%{_mandir}/man8/matchpathcon.*
%{_mandir}/man8/sefcontext_compile.*
%{_mandir}/man8/selinux*
%{_mandir}/man8/setenforce.*
%{_mandir}/man8/togglesebool.*
%dir /var/lib/selinux

#----------------------------------------------------------------------------

%package -n python-selinux
Summary:	SELinux python bindings for libselinux
Group:		Development/Python
Requires:	%{libselinux} = %{EVRD}

%description -n python-selinux
The libselinux-python package contains the python bindings for developing 
SELinux applications.

%files -n python-selinux
%dir %{python_sitearch}/selinux
%{python_sitearch}/selinux/*

#----------------------------------------------------------------------------

%if %{with ruby}
%package -n ruby-selinux
Summary:	SELinux ruby bindings for libselinux
Group:		Development/Ruby
Requires:	%{libselinux} = %{EVRD}

%description -n ruby-selinux
The libselinux-ruby package contains the ruby bindings for developing 
SELinux applications.

%files -n ruby-selinux
%{ruby_archdir}/selinux.so
%if %{with semanage}
%{ruby_archdir}/semanage.so
%endif
%endif

#----------------------------------------------------------------------------

%package -n %{devselinux}
Summary:	Header files and libraries used to build SELinux
Group:		Development/C
Provides:	selinux-devel = %{EVRD}
Provides:	libselinux-devel = %{EVRD}
Provides:	selinux-static-devel = %{EVRD}
Requires:	%{libselinux} = %{EVRD}
Requires:	sepol-devel
Obsoletes:	%{_lib}selinux1-devel < %{EVRD}

%description -n %{devselinux}
The libselinux-devel package contains the libraries and header files
needed for developing SELinux applications.

%files -n %{devselinux}
%{_libdir}/pkgconfig/libselinux.pc
%{_libdir}/libselinux.a
%{_libdir}/libselinux.so
%dir %{_includedir}/selinux
%{_includedir}/selinux/*
%{_mandir}/man3/avc*
%{_mandir}/man3/context*
%{_mandir}/man3/check*
%{_mandir}/man3/fget*
%{_mandir}/man3/fini*
%{_mandir}/man3/free*
%{_mandir}/man3/fset*
%{_mandir}/man3/get*
%{_mandir}/man3/init*
%{_mandir}/man3/is_*
%{_mandir}/man3/lget*
%{_mandir}/man3/lset*
%{_mandir}/man3/manual_user*
%{_mandir}/man3/mode*
%{_mandir}/man3/match*
%{_mandir}/man3/print_access*
%{_mandir}/man3/query_user*
%{_mandir}/man3/rpm_exec*
%{_mandir}/man3/set*
%{_mandir}/man3/selinux*
%{_mandir}/man3/string*
%{_mandir}/man3/sid*
%{_mandir}/man3/selabel*
%{_mandir}/man3/security*

#----------------------------------------------------------------------------

%package -n %{libsepol}
Summary:	SELinux binary policy manipulation library
Group:		System/Libraries
Provides:	sepol = %{EVRD}

%description -n %{libsepol}
libsepol provides an API for the manipulation of SELinux binary policies.
It is used by checkpolicy (the policy compiler) and similar tools, as well
as by programs like load_policy that need to perform specific transformations
on binary policies such as customizing policy boolean settings.

%files -n %{libsepol}
/%{_lib}/libsepol.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devsepol}
Summary:	Header files and libraries used to build policy manipulation tools
Group:		Development/C
Requires:	%{libsepol} = %{EVRD}
Provides:	sepol-devel = %{EVRD}
Provides:	sepol-static-devel = %{EVRD}

%description -n %{devsepol}
The libsepol-devel package contains the libraries and header files
needed for developing applications that manipulate binary policies.

%files -n %{devsepol}
%dir %{_includedir}/sepol
%dir %{_includedir}/sepol/policydb
%{_libdir}/pkgconfig/libsepol.pc
%{_libdir}/libsepol.so
%{_includedir}/sepol/*.h
%{_mandir}/man3/sepol*.3*
%{_includedir}/sepol/policydb/*.h
%{_libdir}/libsepol.a

#----------------------------------------------------------------------------

%if %{without bootstrap} || %{with semanage}
%package -n %{libsemanage}
Summary:	SELinux binary policy manipulation library 
Group:		Development/Other
Provides:	libsemanage = %{EVRD}

%description -n %{libsemanage}
libsemanage provides an API for the manipulation of SELinux binary policies.
It is used by checkpolicy (the policy compiler) and similar tools, as well
as by programs like load_policy that need to perform specific transformations
on binary policies such as customizing policy boolean settings.

%files -n %{libsemanage}
%config(noreplace) /etc/selinux/semanage.conf
/%{_lib}/libsemanage.so.%{major}*
%{_mandir}/man5/semanage.conf.*
%endif

#----------------------------------------------------------------------------

%if %{without bootstrap} || %{with semanage}
%package -n %{devsemanage}
Summary:	Header files and libraries used to build policy manipulation tools
Group:		Development/Other
Requires:	%{libsemanage} = %{EVRD}
Provides:	libsemanage-devel = %{EVRD}
Provides:	semanage-devel = %{EVRD}

%description -n %{devsemanage}
The semanage-devel package contains the libraries and header files
needed for developing applications that manipulate binary policies. 

%files -n %{devsemanage}
%{_libdir}/libsemanage.a
%{_libdir}/libsemanage.so
%{_libdir}/pkgconfig/libsemanage.pc
%dir %{_includedir}/semanage
%{_includedir}/semanage/*.h
%{_mandir}/man3/semanage*
%endif

#----------------------------------------------------------------------------

%if %{without bootstrap} || %{with semanage}
%package -n python-semanage
Summary:	Python bindings for libsemanage
Group:		Development/Python
Requires:	%{libsemanage} >= %{EVRD}
Provides:	python-libsemanage = %{EVRD}
Obsoletes:	python-libsemanage

%description -n python-semanage
The python-libsemanage package contains the python bindings for developing 
SELinux management applications.

%files -n python-semanage
%{python_sitearch}/_semanage.so
%{python_sitearch}/semanage.py*
%endif

#----------------------------------------------------------------------------

%if %{without bootstrap}
%package -n checkpolicy
Summary:	SELinux policy compiler
Group:		Development/Tools

%description -n checkpolicy
This package contains checkpolicy, the SELinux policy compiler.
Only required for building policies.

%files -n checkpolicy
%{_bindir}/checkpolicy
%{_bindir}/checkmodule
%{_mandir}/man8/checkpolicy.8.xz
%{_mandir}/man8/checkmodule.8.xz
%endif

#----------------------------------------------------------------------------

%if %{without bootstrap}
%package -n policycoreutils
Summary:	SELinux policy core utilities
Group:		System/Base

%description -n policycoreutils
policycoreutils contains the policy core utilities that are required
for basic operation of a SELinux system.  These utilities include
load_policy to load policies, setfiles to label filesystems, newrole
to switch roles, and run_init to run /etc/init.d scripts in the proper
context.

%files -n policycoreutils -f policycoreutils.lang
/sbin/restorecon
/sbin/fixfiles
/sbin/setfiles
/sbin/load_policy
%{_sbindir}/genhomedircon
%{_sbindir}/load_policy
%{_sbindir}/setsebool
%{_sbindir}/semodule
%{_sbindir}/sestatus
%{_sbindir}/run_init
%{_sbindir}/open_init_pty
%{_bindir}/secon
%{_bindir}/semodule_deps
%{_bindir}/semodule_expand
%{_bindir}/semodule_link
%{_bindir}/semodule_package
%{_bindir}/semodule_unpackage
%config(noreplace) %{_sysconfdir}/sestatus.conf
%{_sysconfdir}/dbus-1/system.d/org.selinux.conf
%{_datadir}/dbus-1/system-services/org.selinux.service
%{_datadir}/polkit-1/actions/org.selinux.config.policy
%{_datadir}/polkit-1/actions/org.selinux.policy
%{_mandir}/man5/selinux_config.5*
%{_mandir}/man5/sestatus.conf.5*
%{_mandir}/man8/fixfiles.8*
%{_mandir}/man8/load_policy.8*
%{_mandir}/man8/open_init_pty.8*
%{_mandir}/man8/restorecon.8*
%{_mandir}/man8/run_init.8*
%{_mandir}/man8/semodule.8*
%{_mandir}/man8/semodule_deps.8*
%{_mandir}/man8/semodule_expand.8*
%{_mandir}/man8/semodule_link.8*
%{_mandir}/man8/semodule_package.8*
%{_mandir}/man8/semodule_unpackage.8*
%{_mandir}/man8/sestatus.8*
%{_mandir}/man8/setfiles.8*
%{_mandir}/man8/setsebool.8*
%{_mandir}/man1/secon.1*
%{_mandir}/man8/genhomedircon.8*
%{_datadir}/bash-completion/completions/semanage
%{_datadir}/bash-completion/completions/sepolicy
%{_datadir}/bash-completion/completions/setsebool
%config(noreplace) %{_sysconfdir}/pam.d/run_init
%endif

#----------------------------------------------------------------------------

%if %{without bootstrap}
%package -n system-config-selinux
Summary:	SELinux configuration GUI
Group:		System/Base
Requires:	policycoreutils-python
Requires:	gnome-python
Requires:	gnome-python-canvas
Requires:	pygtk2
Requires:	pygtk2.0-libglade
# Only suggest selinux-policy to avoid dependency loop
Suggests:	selinux-policy
Requires:	setools-console
Requires:	usermode
Requires:	libgnomeui2
Requires:	libbonoboui
%rename		policycoreutils-gui

%description -n system-config-selinux
system-config-selinux is a utility for managing the SELinux environment.

%files -n system-config-selinux
%{_bindir}/system-config-selinux
%{_bindir}/sepolgen
%{_datadir}/icons/hicolor/24x24/apps/system-config-selinux.png
%{_datadir}/pixmaps/system-config-selinux.png
%dir %{_datadir}/system-config-selinux
%{_datadir}/system-config-selinux/system-config-selinux.png
%{_datadir}/system-config-selinux/*.py*
%{_datadir}/system-config-selinux/*.glade
%{_datadir}/system-config-selinux/*.desktop
%{_mandir}/man8/system-config-selinux.8.*
%endif

#----------------------------------------------------------------------------

%if %{without bootstrap}
%package -n newrole
Summary:	The newrole application for RBAC/MLS
Group:		System/Base
Requires:	policycoreutils
Requires(post):	libcap-utils
Provides:	policycoreutils-newrole = %{EVRD}

%description -n newrole
RBAC/MLS policy machines require newrole as a way of changing the role 
or level of a logged in user.

%files -n newrole
%attr(0755,root,root)%{_bindir}/newrole
%{_sysconfdir}/pam.d/newrole
%{_mandir}/man1/newrole.1*

%post -n newrole
/usr/sbin/setcap cap_dac_read_search,cap_setpcap,cap_audit_write,cap_sys_admin,cap_fowner,cap_chown,cap_dac_override=pe %{_bindir}/newrole
%endif

#----------------------------------------------------------------------------

%if %{without bootstrap}
%package -n policycoreutils-python
Summary:	SELinux policy core python utilities
Group:		System/Base
Requires:	policycoreutils
Requires:	make
Requires:	python-audit
Requires:	python-semanage
Requires:	python-selinux
Requires:	setools-python
Requires:	pythonegg(ipy)
Requires(pre):	python
Requires(post):	selinux-utils
# Leads to dependency loop
# Requires(post):	selinux-policy
Conflicts:	policycoreutils < 2.0.61
Provides:	policycoreutils-python = %{EVRD}

%description -n policycoreutils-python
The policycoreutils-python package contains the management tools use to manage
an SELinux environment.

%files -n policycoreutils-python
%{_sbindir}/semanage
%{_bindir}/audit2allow
%{_bindir}/audit2why
%{_bindir}/chcat
%{_bindir}/sandbox
%{_bindir}/sepolgen-ifgen
%{_bindir}/sepolgen-ifgen-attr-helper
%{_bindir}/sepolicy
%{python_sitearch}/sepolgen
%{python_sitearch}/policycoreutils*.egg-info
%{python_sitearch}/sepolicy*.egg-info
%{python_sitelib}/seobject*.egg-info
%dir %{python_sitearch}/sepolicy
%dir %{python_sitearch}/policycoreutils
%dir %{python_sitelib}/seobject
%dir %{python_sitearch}/sepolicy/templates
%dir %{python_sitearch}/sepolicy/help
%{_datadir}/icons/hicolor/16x16/apps/sepolicy.png
%{_datadir}/icons/hicolor/22x22/apps/sepolicy.png
%{_datadir}/icons/hicolor/256x256/apps/sepolicy.png
%{_datadir}/icons/hicolor/32x32/apps/sepolicy.png
%{_datadir}/icons/hicolor/48x48/apps/sepolicy.png
%{_datadir}/pixmaps/sepolicy.png
%{python_sitearch}/sepolicy/help/*.txt
%{python_sitearch}/sepolicy/help/*.png
%{python_sitearch}/sepolicy/help/*.py
%{python_sitearch}/sepolicy/templates/*.py
%{python_sitearch}/sepolicy/*.py
%{python_sitearch}/sepolicy/*.so
%{python_sitearch}/sepolicy/*.glade
%{python_sitearch}/policycoreutils/*.py
%{python_sitearch}/policycoreutils/*.so
%{python_sitelib}/seobject/*.py
%dir  /var/lib/sepolgen
/var/lib/sepolgen/perm_map
%{_mandir}/man1/audit2allow.1*
%{_mandir}/man1/audit2why.1*
%{_mandir}/man8/chcat.8*
%{_mandir}/man8/semanage*
%{_mandir}/man8/sepolicy*
%{_mandir}/man8/sepolgen*

%post -n policycoreutils-python
%{_bindir}/sepolgen-ifgen 2>/dev/null

%triggerin -n policycoreutils-python -- selinux-policy
selinuxenabled && [ -f /usr/share/selinux/devel/include/build.conf ] && /usr/bin/sepolgen-ifgen 2>/dev/null
exit 0
%endif

#----------------------------------------------------------------------------

%if %{without bootstrap}
%package -n restorecond
Summary:	SELinux restorecond utilities
Group:		System/Base
Provides:	policycoreutils-restorecond = %{EVRD}
Requires(post,preun,postun):	systemd

%description -n restorecond
The policycoreutils-restorecond package contains the restorecond service.

%files -n restorecond
%{_sbindir}/restorecond
%{_unitdir}/restorecond.service
%config(noreplace) %{_sysconfdir}/selinux/restorecond.conf
%config(noreplace) %{_sysconfdir}/selinux/restorecond_user.conf
%{_sysconfdir}/xdg/autostart/restorecond.desktop
%{_sysconfdir}/rc.d/init.d/restorecond
%{_datadir}/dbus-1/services/org.selinux.Restorecond.service
%{_mandir}/man8/restorecond.8*

%post -n restorecond
if [ $1 -eq 1 ] ; then
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi

%preun -n restorecond
if [ $1 = 0 ]; then
  /bin/systemctl --no-reload restorecond.service > /dev/null 2>&1 || :
  /bin/systemctl stop restorecond.service > /dev/null 2>&1 || :
fi

%postun -n restorecond
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    /bin/systemctl try-restart restorecond.service >/dev/null 2>&1 || :
fi

%triggerun -n restorecond -- restorecond < 2.0.86-13
%{_bindir}/systemd-sysv-convert --save restorecond >/dev/null 2>&1 ||:
/bin/systemctl enable restorecond.service >/dev/null 2>&1
/sbin/chkconfig --del restorecond >/dev/null 2>&1 || :
/bin/systemctl try-restart restorecond.service >/dev/null 2>&1 || :
%endif

#----------------------------------------------------------------------------

%if %{without bootstrap}
%package -n sandbox
Summary:	SELinux sandbox utilities
Group:		System/Base
Requires:	matchbox-window-manager
Requires:	policycoreutils-python
Requires:	rsync
Requires:	x11-server-xephyr
Requires:	xmodmap
Requires(post,preun):	chkconfig
Requires(post):	libcap-utils
Provides:	policycoreutils-sandbox = %{EVRD}

%description -n sandbox
The policycoreutils-sandbox package contains the scripts to create graphical
sandboxes.

%files -n sandbox
%{_datadir}/sandbox/sandboxX.sh
%{_datadir}/sandbox/start
%{_sbindir}/seunshare
%config(noreplace) %{_sysconfdir}/sysconfig/sandbox
%{_mandir}/man8/seunshare.8*
%{_mandir}/man8/sandbox.8*
%{_mandir}/man5/sandbox.5*

%post -n sandbox
if [ $1 -eq 1 ]; then
   /sbin/chkconfig sandbox --add
fi
/usr/sbin/setcap cap_setpcap,cap_setuid,cap_fowner,cap_dac_override,cap_sys_admin,cap_sys_nice=pe %{_sbindir}/seunshare

%preun -n sandbox
if [ $1 -eq 0 ]; then
   /sbin/chkconfig sandbox --del
fi
%endif

#----------------------------------------------------------------------------

%prep
%setup -q

%patch0 -d libselinux -p1
%patch1 -d libsemanage -p1
%patch2 -d policycoreutils -p2
%patch3 -d sepolgen -p2
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
%if %{without bootstrap}
make LIBDIR="%{_libdir}" CFLAGS="%{optflags}"
%else
make -C libsepol CFLAGS="%{optflags}"
make -C libselinux LIBDIR="%{_libdir}" CFLAGS="%{optflags}"
%if %{with semanage}
make -C libsemanage LIBDIR="%{_libdir}" CFLAGS="%{optflags}"
%endif
%endif

%install
%if %{without bootstrap}
make SHLIBDIR="%{buildroot}/%{_lib}" LIBDIR="%{buildroot}%{_libdir}"  SYSTEMDDIR=%{buildroot}%{_systemdrootdir} DESTDIR="%{buildroot}" install \
%if %{with ruby}
RUBYINSTALL="%{buildroot}%{ruby_archdir}" install-rubywrap \
%endif
install-pywrap

ln -sfr /%{buildroot}/%{_lib}/libsemanage.so.1 %{buildroot}%{_libdir}/libsemanage.so 
cp %{SOURCE1} ${RPM_BUILD_ROOT}/etc/selinux/semanage.conf

%find_lang policycoreutils
ln -sf /sbin/load_policy %{buildroot}%{_sbindir}/load_policy
%else
make -C libsepol SHLIBDIR="%{buildroot}/%{_lib}" LIBDIR="%{buildroot}%{_libdir}" DESTDIR="%{buildroot}" install 
make -C libselinux SHLIBDIR="%{buildroot}/%{_lib}" LIBDIR="%{buildroot}%{_libdir}" DESTDIR="%{buildroot}" install \
%if %{with ruby}
RUBYINSTALL="%{buildroot}%{ruby_archdir}" install-rubywrap \
%endif
install-pywrap
%if %{with semanage}
make -C libsemanage SHLIBDIR="%{buildroot}/%{_lib}" LIBDIR="%{buildroot}%{_libdir}" DESTDIR="%{buildroot}" install \
%if %{with ruby}
RUBYINSTALL="%{buildroot}%{ruby_archdir}" install-rubywrap \
%endif
install-pywrap

ln -sfr /%{buildroot}/%{_lib}/libsemanage.so.1 %{buildroot}%{_libdir}/libsemanage.so
cp %{SOURCE1} ${RPM_BUILD_ROOT}/etc/selinux/semanage.conf

%endif

%endif

mkdir -p %{buildroot}/var/run/setrans
mkdir -p %{buildroot}/var/lib/selinux
mkdir -p %{buildroot}/etc/tmpfiles.d
echo "d /var/run/setrans 0755 root root" > %{buildroot}/etc/tmpfiles.d/libselinux.conf

# Nuke the files we don't want to distribute
rm -f %{buildroot}%{_sbindir}/compute_*
rm -f %{buildroot}%{_sbindir}/deftype
rm -f %{buildroot}%{_sbindir}/execcon
rm -f %{buildroot}%{_sbindir}/getenforcemode
rm -f %{buildroot}%{_sbindir}/getfilecon
rm -f %{buildroot}%{_sbindir}/getpidcon
rm -f %{buildroot}%{_sbindir}/mkdircon
rm -f %{buildroot}%{_sbindir}/policyvers
rm -f %{buildroot}%{_sbindir}/setfilecon
rm -f %{buildroot}%{_sbindir}/selinuxconfig
rm -f %{buildroot}%{_sbindir}/selinuxdisable
rm -f %{buildroot}%{_sbindir}/getseuser
rm -f %{buildroot}%{_sbindir}/selinux_check_securetty_context
rm -f %{buildroot}%{_bindir}/chkcon

mv %{buildroot}%{_sbindir}/getdefaultcon %{buildroot}%{_sbindir}/selinuxdefcon
mv %{buildroot}%{_sbindir}/getconlist %{buildroot}%{_sbindir}/selinuxconlist


%changelog

* Thu Jun 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:2.3-31
- (66e2948) Only suggest selinux-policy to avoid dependency loop
- (Andrey Bondrov: 2529485) rename macro doesn't require EVRD
- (Andrey Bondrov: 45f5322) Now build without bootstrap

* Tue May 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:2.3-30
- (b90431f) Then build with bootstrap and with semanage

* Tue May 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:2.3-29
- (336989d) First build with bootstrap and without semanage
- (Andrey Bondrov: 0289b6a) Adjust BuildRequires for semanage build
- (Andrey Bondrov: af19c08) Build with bootstrap again and enable semanage build
- (Andrey Bondrov: af19c08) Make possible to build semanage with bootstrap
- (Andrey Bondrov: ca356ff) Try to build semanage support without requiring it
- (Andrey Bondrov: a36d5a1) Disable bootstrap build

* Tue May 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:2.3-28
- (fed3da6) First build with bootstrap to downgrade
- (Andrey Bondrov: 2491884) Disable post-requires (selinux-policy) for policycoreutils-python to avoid dependency loop
- (Andrey Bondrov: 902ab13) Spec cleanup

* Wed Jun 03 2015 law <a.lahin@ntcit-rosa.ru> 1:2.3-27
- (3829cdb) setfiles shouldn't count rootfs when calculating total number of files #bz5708

* Mon Jun 01 2015 din (Dmitry Fedorov) <d.fedorov@ntcit-rosa.ru> 1:2.3-26
- (2e099c0) Bump release

* Mon Jun 01 2015 din (Dmitry Fedorov) <d.fedorov@ntcit-rosa.ru> 1:2.3-25
- (a50e486) fix requires

* Mon Jun 01 2015 din (Dmitry Fedorov) <d.fedorov@ntcit-rosa.ru> 1:2.3-24
- (207ce42) set cap for seunshare
- (din (Dmitry Fedorov): 8a8094f) set capabilities for newrole

* Sun May 31 2015 din (Dmitry Fedorov) <d.fedorov@ntcit-rosa.ru> 1:2.3-23
- (54dd318) enable lspp by default for newrole namespaces

* Tue May 26 2015 law <a.lahin@ntcit-rosa.ru> 1:2.3-22
- (8688fa8) Increase release number

* Tue May 26 2015 law <a.lahin@ntcit-rosa.ru> 1:2.3-21
- (4a80610) Preserve locale environment in newrole
- (Dmitry Fedorov: 40d4009) Bump release

* Mon May 25 2015 Dmitry Fedorov <d.fedorov@ntcit-rosa.ru> 1:2.3-20
- (d6582f9) fix requires for system-config-selinux
- (din (Dmitry Fedorov): 8321492) provide semanage-devel

* Mon May 18 2015 Dmitry Fedorov <d.fedorov@ntcit-rosa.ru> 1:2.3-19
- (340de5a) add semanage.conf

* Fri May 15 2015 din (Dmitry Fedorov) <d.fedorov@ntcit-rosa.ru> 1:2.3-18
- (16a94ec) remove redundant provides; build without bootstrap
- (Denis Silakov: 84db708) Obsolete python-libsemanage in python-semanage

* Fri May 15 2015 din (Dmitry Fedorov) <d.fedorov@ntcit-rosa.ru> 1:2.3-17
- (05d4004) build with semanage

* Fri May 15 2015 din (Dmitry Fedorov) <d.fedorov@ntcit-rosa.ru> 1:2.3-16
- (ab2583d) temporarily fix provides to avoid libsepol conflicts
- (din (Dmitry Fedorov): 64b107d) use EVRD instead of release-version
- (din (Dmitry Fedorov): 93f4069) fix provides
- (din (Dmitry Fedorov): dc0387c) Bump epoch; fix sepol provides


